> ## Documentation Index
> Fetch the complete documentation index at: https://docs.innova-trading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener Simbolos

> Listar todos los simbolos disponibles para tu API key

## Solicitud

Este endpoint no tiene parametros. Retorna todos los simbolos a los que tu API key tiene acceso.

## Respuesta

<ResponseField name="success" type="boolean">
  Indica si la solicitud fue exitosa
</ResponseField>

<ResponseField name="count" type="integer">
  Numero total de simbolos disponibles
</ResponseField>

<ResponseField name="symbols" type="array">
  Array de simbolos de trading disponibles
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.innova-trading.com/api/external/symbols" \
    -H "Authorization: Bearer TU_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.innova-trading.com/api/external/symbols",
      headers={"Authorization": "Bearer TU_API_KEY"}
  )

  data = response.json()
  simbolos = data["symbols"]

  print(f"Tienes acceso a {len(simbolos)} simbolos:")
  for simbolo in simbolos:
      print(f"  - {simbolo}")
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.innova-trading.com/api/external/symbols",
    {
      headers: { Authorization: "Bearer TU_API_KEY" }
    }
  );

  const { symbols } = await response.json();

  console.log(`Tienes acceso a ${symbols.length} simbolos:`);
  symbols.forEach(symbol => console.log(`  - ${symbol}`));
  ```
</RequestExample>

<ResponseExample>
  ```json Respuesta Exitosa theme={null}
  {
    "success": true,
    "count": 8,
    "symbols": [
      "EURUSD",
      "GBPUSD",
      "USDJPY",
      "USDCHF",
      "AUDUSD",
      "USDCAD",
      "NZDUSD",
      "XAUUSD"
    ]
  }
  ```

  ```json Sin Simbolos theme={null}
  {
    "success": true,
    "count": 0,
    "symbols": []
  }
  ```
</ResponseExample>

## Categorias de Simbolos

### Pares Mayores de Forex

| Simbolo | Descripcion                  |
| ------- | ---------------------------- |
| EURUSD  | Euro / Dolar US              |
| GBPUSD  | Libra Esterlina / Dolar US   |
| USDJPY  | Dolar US / Yen Japones       |
| USDCHF  | Dolar US / Franco Suizo      |
| AUDUSD  | Dolar Australiano / Dolar US |
| USDCAD  | Dolar US / Dolar Canadiense  |
| NZDUSD  | Dolar Neozelandes / Dolar US |

### Metales

| Simbolo | Descripcion      |
| ------- | ---------------- |
| XAUUSD  | Oro / Dolar US   |
| XAGUSD  | Plata / Dolar US |

### Indices (bajo solicitud)

| Simbolo | Descripcion                  |
| ------- | ---------------------------- |
| US30    | Dow Jones Industrial Average |
| US500   | S\&P 500                     |
| NAS100  | Nasdaq 100                   |

<Note>
  El acceso a simbolos esta controlado por tu API key.
  Contactanos para solicitar acceso a simbolos adicionales.
</Note>
